Subject: Re: [PATCH v6 8/8] fetch-pack: implement ref-in-want

From: Brandon Williams <[email-masked]>
Date: Mon, 23 Jul 2018 10:53:18 -0700

On 07/22, Duy Nguyen wrote:
> On Thu, Jun 28, 2018 at 12:33 AM Brandon Williams <[email-masked]> wrote:
> > +static void receive_wanted_refs(struct packet_reader *reader, struct ref *refs)
> > +{
> > +       process_section_header(reader, "wanted-refs", 0);
> > +       while (packet_reader_read(reader) == PACKET_READ_NORMAL) {
> > +               struct object_id oid;
> > +               const char *end;
> > +               struct ref *r = NULL;
> > +
> > +               if (parse_oid_hex(reader->line, &oid, &end) || *end++ != ' ')
> > +                       die("expected wanted-ref, got '%s'", reader->line);
> 
> Could you do a follow and wrap all these strings in _() since this one
> is already in 'next'?

What criteria is used to determine if something should be translated?
To me, this looks like a wire-protocol error which would benefit from
not being translated because it would be easier to grep for if it
occurs.  That and if a user sees this sort of error I don't think that
they could really do anything about it anyway.

Of course it appears as if all other 'die' calls in fetch-pack have been
marked for translation so I guess my though process doesn't hold :)

-- 
Brandon Williams